SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (VPN)  >   strongSwan Vendors:   strongswan.org
strongSwan IKEv2 Processing Flaw Lets Remote Users Deny Service
SecurityTracker Alert ID:  1031489
SecurityTracker URL:  http://securitytracker.com/id/1031489
CVE Reference:   CVE-2014-9221   (Links to External Site)
Date:  Jan 6 2015
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 4.5.0 - 5.2.1
Description:   A vulnerability was reported in strongSwan. A remote user can cause denial of service conditions.

A remote user can send a specially crafted IKEv2 Key Exchange (KE) packet that contains the Diffie-Hellman (DH) group 1025 to trigger an invalid pointer dereference and cause the target IKE daemon to crash.

Mike Daskalakis reported this vulnerability.

Impact:   A remote user can cause the target IKE daemon to crash.
Solution:   The vendor has issued a fix (5.2.2).

The vendor's advisory is available at:

https://www.strongswan.org/blog/2015/01/05/strongswan-denial-of-service-vulnerability-%28cve-2014-9221%29.html

Vendor URL:  www.strongswan.org/blog/2015/01/05/strongswan-denial-of-service-vulnerability-%28cve-2014-9221%29.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jan 6 2015 (Ubuntu Issues Fix) strongSwan IKEv2 Processing Flaw Lets Remote Users Deny Service
Ubuntu has issued a fix for Ubuntu 14.04 LTS and 14.10.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC